Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statcvs.output
Interface WebRepositoryIntegration

All Known Implementing Classes:
  ChoraIntegration, CvswebIntegration, JCVSWebIntegration, TracIntegration, ViewCvsIntegration, ViewVcIntegration

    public interface WebRepositoryIntegration

Interface for integration of web repository browsers. Web repository browsers are dynamic web sites where you can browse the contents of a CVS repository, make diffs etc. A good example is ViewCVS.

Version:
  $Id: WebRepositoryIntegration.java,v 1.7 2008/04/02 11:22:15 benoitx Exp $
Author:
  Richard Cyganiak

Method Summary
`java.lang.String` | `getBaseUrl()`
`java.lang.String` | `getDiffUrl(Revision oldRevision, Revision newRevision)` Returns a URL to a diff in the web repository browser.
`java.lang.String` | `getDirectoryUrl(Directory directory)` Returns a URL to a directory in the web repository browser
`java.lang.String` | `getFileHistoryUrl(VersionedFile file)` Returns a URL to a file in the web repository browser.
`java.lang.String` | `getFileViewUrl(Revision revision)` Returns a URL to a file in the web repository browser.
`java.lang.String` | `getFileViewUrl(VersionedFile file)` Returns a URL to a file in the web repository browser.
`java.lang.String` | `getName()` Returns the name of the repository browser
`void` | `setAtticFileNames(java.util.Set atticFileNames)` Sets the files that are "in the attic", in the CVS sense.

Method Detail

### getName

    java.lang.String getName()

  Returns the name of the repository browser

  Returns:
    the name of the repository browser

### getDirectoryUrl

    java.lang.String getDirectoryUrl(Directory directory)

  Returns a URL to a directory in the web repository browser

  Parameters:
    `directory` - the directory
  Returns:
    a URL to the directory in the web repository browser

### getFileHistoryUrl

    java.lang.String getFileHistoryUrl(VersionedFile file)

  Returns a URL to a file in the web repository browser. The URL points to a history of all revisions of the file.

  Parameters:
    `file` - the file
  Returns:
    a URL to the file in the web repository browser

### getFileViewUrl

    java.lang.String getFileViewUrl(VersionedFile file)

  Returns a URL to a file in the web repository browser. The URL points to a representation of the file's current contents.

  Parameters:
    `file` - the file
  Returns:
    a URL to the file in the web repository browser

### getFileViewUrl

    java.lang.String getFileViewUrl(Revision revision)

  Returns a URL to a file in the web repository browser. The URL points to a representation of the specific revision given as a parameter.

  Parameters:
    `revision` - the revision
  Returns:
    a URL to the revision in the web repository browser

### getDiffUrl

    java.lang.String getDiffUrl(Revision oldRevision,
                                Revision newRevision)

  Returns a URL to a diff in the web repository browser. Both revisions must belong to the same `VersionedFile`.

  Parameters:
    `oldRevision` - the old revision
    `newRevision` - the new revision
  Returns:
    a URL to a diff

### setAtticFileNames

    void setAtticFileNames(java.util.Set atticFileNames)

  Sets the files that are "in the attic", in the CVS sense. See CVS manual.

  Parameters:
    `atticFileNames` - names of all files (`String`) in the attic

### getBaseUrl

    java.lang.String getBaseUrl()

  Returns:
    the base Url

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD